# HG changeset patch
# User Caesar
# Date 1264624479 -3600
# Node ID 511b186f2bb2a0df69d73ab8bf97891f05c7714e
# Parent  fb81f0082e5b855ab5e941644a1aa27ff0f34f2f
MSVC will build to planet, dependant on CMake var BUILD_TO_PLANET

diff -r fb81f0082e5b -r 511b186f2bb2 CMakeLists.txt
--- a/CMakeLists.txt	Wed Jan 27 17:17:27 2010 +0100
+++ b/CMakeLists.txt	Wed Jan 27 21:34:39 2010 +0100
@@ -691,6 +691,20 @@
 set_property(TARGET clonk APPEND PROPERTY COMPILE_DEFINITIONS C4ENGINE GLEW_STATIC)
 set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_DEBUG _DEBUG)
 
+# build to planet with msvc
+if( MSVC ) 
+	if( NOT DEFINED BUILD_TO_PLANET ) 
+		set( BUILD_TO_PLANET ON CACHE BOOL "" )
+		MESSAGE(STATUS "The builds go to ./planet instead of the default MSVC folders. If you don't like that, turn BUILD_TO_PLANET off.")
+	endif()
+	if( BUILD_TO_PLANET ) 
+		set_target_properties( clonk PROPERTIES RUNTIME_OUTPUT_NAME_RELEASE "../planet/release" )
+		set_target_properties( clonk PROPERTIES RUNTIME_OUTPUT_NAME_DEBUG "../planet/debug" )
+		set_target_properties( clonk PROPERTIES RUNTIME_OUTPUT_NAME_MINSIZEREL "../planet/minsizerel" )
+		set_target_properties( clonk PROPERTIES RUNTIME_OUTPUT_NAME_RELWITHDEBINFO "../planet/relwithdebinfo" )
+	endif()
+endif( MSVC )
+
 ############################################################################
 # Precompiled header support, part 2 (post-target)
 ############################################################################
